program genbloubs

  use bloubspace

  integer               :: nbbloubs
  integer               :: i
  character(200)        :: filename
  character(30)         :: str
  type(t_bloubs)        :: bloub

  integer, parameter    :: idu = 33

  i = IARGC()
  if (i .ne. 2) then
    STOP ": BAD ARGS ON COMMAND LINE"
  endif

  call getarg(1, filename)
  call getarg(2, str)
  read(str,*) nbbloubs

  write (0, '(A,I6,A)') &
  "*** generating ", nbbloubs, " bloubs to "//trim(filename)

  ! print *, "generating ", nbbloubs, "bloubs to ", filename

  open(unit=idu, file=trim(filename), form='unformatted',     &
                 action='write', status='replace')

  do i = 1, nbbloubs
    bloub%nick = 'noname  '
    bloub%alive = .TRUE.
    call random_pv(bloub)
    bloub%radius = 0.025
    bloub%seq    = 0

    write(idu) bloub              ! no error control ?

  end do

  close(unit=idu)

end program