/*
 *		BLOUBSWORLD
 *  new Sun 06 Feb 2022 01:33:39 PM CET, rue Ernest Renan
 */
#version 3.7;

global_settings {
                ambient_light rgb <0.02, 0.02, 0.09>
                assumed_gamma 1.0
                }

#include  "colors.inc"

#include  "bloubs.inc"

object	{
	Bloubs
	texture {
		pigment { color Gray50 } 
		finish { phong 0.58 metallic 0.45 }
		}
	}

plane	{
	<0, 1, 0>, 0
	texture {
		pigment { color Gray10 } 
		finish { phong 0.18 metallic 0.45 }
		}
	}

//  ----------------------------------------------------------

#declare Les_Bornes = object
{
#declare BH = 5;
#declare BV = 3;
#declare BR = 0.02;
union	{
	cylinder { <-BH, 0, -BH>, <-BH, BV, -BH>, BR pigment { color Blue } }
	cylinder { < BH, 0, -BH>, < BH, BV, -BH>, BR pigment { color Green } }
	cylinder { <-BH, 0,  BH>, <-BH, BV,  BH>, BR pigment { color Green } }
	cylinder { < BH, 0,  BH>, < BH, BV,  BH>, BR pigment { color Red } }
	}
}

object { Les_Bornes }

//  ----------------------------------------------------------

light_source { <4, 12, -11> color Gray80 }
light_source { <4, 9,    9> color White }

camera  {
	location   <7, 5, -16>
	look_at    <0, 0, 0>
	right           x*image_width/image_height
	angle		54
	}
